diff --git a/web/pgadmin/tools/backup/static/js/backup.js b/web/pgadmin/tools/backup/static/js/backup.js
index ddbfaee..1b0b362 100644
--- a/web/pgadmin/tools/backup/static/js/backup.js
+++ b/web/pgadmin/tools/backup/static/js/backup.js
@@ -835,6 +835,17 @@ commonUtils
       if (!node)
         return;
 
+      var treeInfo = node.getTreeNodeHierarchy.apply(node, [item]);
+
+      if (treeInfo.database._label.indexOf('=') >= 0) {
+        alertify.alert(
+          gettext('Backup error'),
+          gettext('Backup job creation failed. '+
+          'Databases with = symbols in the name cannot be backed up using this utility.')
+        );
+        return;
+      }
+
       title = title.sprintf(node.label, data.label).value();
 
       if (!alertify.backup_objects) {
diff --git a/web/pgadmin/tools/maintenance/static/js/maintenance.js b/web/pgadmin/tools/maintenance/static/js/maintenance.js
index 81e4594..f210260 100644
--- a/web/pgadmin/tools/maintenance/static/js/maintenance.js
+++ b/web/pgadmin/tools/maintenance/static/js/maintenance.js
@@ -284,6 +284,18 @@ define([
       if (!d)
         return;
 
+      var node = d && pgBrowser.Nodes[d._type],
+        treeInfo = node.getTreeNodeHierarchy.apply(node, [i]);
+
+      if (treeInfo.database._label.indexOf('=') >= 0) {
+        Alertify.alert(
+          gettext('Maintenance error'),
+          gettext('Maintenance job creation failed. '+
+          'Databases with = symbols in the name cannot be maintained using this utility.')
+        );
+        return;
+      }
+
       if (!Alertify.MaintenanceDialog) {
         Alertify.dialog('MaintenanceDialog', function factory() {
 
diff --git a/web/pgadmin/tools/restore/static/js/restore.js b/web/pgadmin/tools/restore/static/js/restore.js
index 5c082a9..585b972 100644
--- a/web/pgadmin/tools/restore/static/js/restore.js
+++ b/web/pgadmin/tools/restore/static/js/restore.js
@@ -451,6 +451,17 @@ commonUtils
       if (!node)
         return;
 
+      var treeInfo = node.getTreeNodeHierarchy.apply(node, [item]);
+
+      if (treeInfo.database._label.indexOf('=') >= 0) {
+        alertify.alert(
+          gettext('Restore error'),
+          gettext('Restore job creation failed. '+
+          'Databases with = symbols in the name cannot be restored using this utility.')
+        );
+        return;
+      }
+
       title = title.sprintf(node.label, data.label).value();
 
       if (!alertify.pg_restore) {
